## Make sure we have an administrative token
If ( IsAdmin )
{
    ## Get the correct URL
    If ( Is64bit) { $URL = 'https://get.videolan.org/vlc/3.0.11/win64/vlc-3.0.11-win64.exe' }
    Else          { $URL = 'https://ftp.osuosl.org/pub/videolan/vlc/3.0.11/win32/vlc-3.0.11-win32.exe' }
    
    ## Download file and get local file name
    $Installer = Download-File $URL

    If ( $Installer ) { Install-Program -Path "${Installer}" -Arguments "/S" -Delete }
}
Else { LogMsg "Must be an administrator to install VLC" }